Status: In Progress Start date: 11 Nov 2015

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

Should objects of type PPOrdering be able to compute WDeg vectors and/or individual components of WDeg vectors?

This would be helpful in implementing PPMonoidSparse.

Related issues:

Related to CoCoALib - Feature #800: PPMonoidSparse: impl of sparse PPs Closed 09 Nov 2015

Related to CoCoALib - Design #602: OrdMat:  should it be a reference to a Mat... Closed 31 Jul 2014

Related to CoCoALib - Design #311: XelMat, StdDegRevLexMat, ... should be Mat... Closed 14 Feb 2013

History

#1 - 11 Nov 2015 14:19 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The main task I want to simplify is that of implementing myWDeg, myCmpWDeg and myCmpWDegPartial for PPMonoidSparse.

My main inspiration comes from the impls in PPMonoidEv.C since they are likely to be fairly similar to what is needed for PPMonoidSparse.

For brevity, I shall henceforth write PPMS for PPMonoidSparseImpl.

For PPMS::myWDeg it could be handy to have a function which computes the WDeg of a single (index,exp) pair; I can then add all results together.

What is needed to be able to implement PPMonoidSparseImpl::myCmpWDegPartial efficiently?  I notice that the PPMonoidEv impl of

myCmpWDegPartial effectively computes the WDegs of the two PPs one component at a time, and stops as soon as they are unequal.  To be able to

mimic this for PPMS I would need a function which gives the k-th component of the WDeg of an (index,exp) pair (or just the k-th component of the

index-th indet).  But this is effectively just accessing a single entry in the order matrix!  See issue #602

#2 - 23 Mar 2016 15:11 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99550 spring 2017

#3 - 16 Sep 2016 16:20 - John Abbott

- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#4 - 06 Nov 2017 14:00 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-1.0
